Support » Plugin: jQuery Archive List Widget » [Plugin: jQuery Archive List Widget] Error file_put_contents in plugin

  • Resolved Rudy64

    (@rudy64)


    Error message:

    Warning: file_put_contents(/usr/www/users/xxxxxx/wp-content/plugins/jquery-archive-list-widget/jal.js) [function.file-put-contents]: failed to open stream: Permission denied in /usr/www/users/xxxxxx/wp-content/plugins/jquery-archive-list-widget/jquery-archive-list-widget.php on line 263

    Why would a plugin want to write to a publicly accessible directory? This is new behavior in the latest version of this script. The JS file does not exist. Also, the plugin no longer works, as the entries do not expand in the widget. I have had to deactivate it on a few sites I’ve had it installed on.

    Is it possible to download the 3.2.1 version, which still worked? Or is there anything I could test for you on my own WP installation to see how we can fix it? This was one of my favorite archive plugins.

    Thanks!

    http://wordpress.org/extend/plugins/jquery-archive-list-widget/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Oops, I meant version 1.2.1, not 3.2.1.

    Nevertheless, I found one site of mine that still has the 1.2.1 version installed, and will be copying that to my other sites until this bug is fixed.

    Is this plugin still supported?

    Plugin Author Miguel Useche

    (@skatox)

    Yes, but i don’t have much time to give support. Yo need to have access to create the new JS file. Because now it pre-generates it then adds it to the wp_enqueue so it can be cached or be minified by other plugins.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: jQuery Archive List Widget] Error file_put_contents in plugin’ is closed to new replies.